Loading...
Searching...
No Matches
juce::MultiTimer Class Referenceabstract

## Detailed Description

A type of timer class that can run multiple timers with different frequencies, all of which share a single callback.

This class is very similar to the Timer class, but allows you run multiple separate timers, where each one has a unique ID number. The methods in this class are exactly equivalent to those in Timer, but with the addition of this ID number.

To use it, you need to create a subclass of MultiTimer, implementing the timerCallback() method. Then you can start timers with startTimer(), and each time the callback is triggered, it passes in the ID of the timer that caused it.

See also
  Timer

The documentation for this class was generated from the following file:

- juce_events/timers/juce_MultiTimer.h

## Public Member Functions

virtual | ~MultiTimer ()
| Destructor.
virtual void | timerCallback (int timerID)=0
| The user-defined callback routine that actually gets called by each of the timers that are running.
void | startTimer (int timerID, int intervalInMilliseconds) noexcept
| Starts a timer and sets the length of interval required.
void | stopTimer (int timerID) noexcept
| Stops a timer.
bool | isTimerRunning (int timerID) const noexcept
| Checks whether a timer has been started for a specified ID.
int | getTimerInterval (int timerID) const noexcept
| Returns the interval for a specified timer ID.

## Protected Member Functions

| MultiTimer () noexcept
| Creates a MultiTimer.
| MultiTimer (const MultiTimer &) noexcept
| Creates a copy of another timer.

## Constructors and Destructors

## MultiTimer() [1/2]

juce::MultiTimer::MultiTimer | ( |  | ) |

protected noexcept

Creates a MultiTimer.

When created, no timers are running, so use startTimer() to start things off.

Referenced by getTimerInterval(), MultiTimer(), and ~MultiTimer().

## MultiTimer() [2/2]

juce::MultiTimer::MultiTimer | ( | const MultiTimer & |  | ) |

protected noexcept

Creates a copy of another timer.

Note that this timer will not contain any running timers, even if the one you're copying from was running.

References MultiTimer().

## ~MultiTimer()

virtual juce::MultiTimer::~MultiTimer | ( |  | ) |

virtual

Destructor.

References MultiTimer().

## Member Functions

## timerCallback()

virtual void juce::MultiTimer::timerCallback | ( | int | timerID | ) |

pure virtual

The user-defined callback routine that actually gets called by each of the timers that are running.

It's perfectly ok to call startTimer() or stopTimer() from within this callback to change the subsequent intervals.

References timerCallback().

Referenced by timerCallback().

## startTimer()

void juce::MultiTimer::startTimer | ( | int | timerID,
|  | int | intervalInMilliseconds )

noexcept

Starts a timer and sets the length of interval required.

If the timer is already started, this will reset it, so the time between calling this method and the next timer callback will not be less than the interval length passed in.

Parameters

  timerID | a unique Id number that identifies the timer to start. This is the id that will be passed back to the timerCallback() method when this timer is triggered
  intervalInMilliseconds | the interval to use (any values less than 1 will be rounded up to 1)

References startTimer().

Referenced by startTimer().

## stopTimer()

void juce::MultiTimer::stopTimer | ( | int | timerID | ) |

noexcept

Stops a timer.

If a timer has been started with the given ID number, it will be cancelled. No more callbacks will be made for the specified timer after this method returns.

If this is called from a different thread, any callbacks that may be currently executing may be allowed to finish before the method returns.

References stopTimer().

Referenced by stopTimer().

## isTimerRunning()

bool juce::MultiTimer::isTimerRunning | ( | int | timerID | ) | const

noexcept

Checks whether a timer has been started for a specified ID.

Returns
  true if a timer with the given ID is running.

References isTimerRunning().

Referenced by isTimerRunning().

## getTimerInterval()

int juce::MultiTimer::getTimerInterval | ( | int | timerID | ) | const

noexcept

Returns the interval for a specified timer ID.

Returns
  the timer's interval in milliseconds if it's running, or 0 if no timer was running for the ID number specified.

References getTimerInterval(), and MultiTimer().

Referenced by getTimerInterval().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited